<?php

@ini_set ("display_errors", "on");
error_reporting (E_ALL);

function Err ($msg)
{
   echo "Error: $msg <br>";
}

function Info ($msg)
{
   echo "$msg \n";
}

$host = "localhost";
$user = "uzivatel";
$password = "";

$database = "test";
$table = "colors";

$driver="mysql";

try
{
   $connection = new PDO ($driver.":host=".$host.";dbname=".$database, $user, $password);
   
   # $connection->setAttribute (PDO::ATTR_ERRMODE, PDO::ERRMODE_SILENT);
   # $connection->setAttribute (PDO::ATTR_ERRMODE, PDO::ERRMODE_WARNING);
   # $connection->setAttribute (PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

   $cmd = "
   CREATE TABLE IF NOT EXISTS $table
   (
           name VARCHAR (40) PRIMARY KEY NOT NULL,
           red INT,
           green INT,
           blue INT
   )
   ";

   try
   {
        $count = $connection->exec ($cmd);
        if ($count === FALSE) Info ("<i>Cannot create table </i>");
   }
   catch (PDOException $e)
   {
        Info ("<i>Exception: Cannot create table </i>");
   }

   $cmd = "
   INSERT INTO $table VALUES
   ('blede modra', 128, 128, 255)
   ";
   
   try
   {
      $connection->exec ($cmd) or Info ("<i>Cannot insert values </i>");
   }
   catch (PDOException $e)
   {
      Info ("<i>Exception: Cannot insert values </i><br>");
   }

   $cmd = "SELECT * FROM $table";
   $results = $connection->query ($cmd) or Err ("<i>Cannot select values </i>");

} 
catch (PDOException $e) 
{
   Info ("PDO Exception: " . $e->getMessage());
}
?>

    <table border="1">
    <tr> 
    <?php
       if ($results)
       {
          while ($data = $results->fetch ())
          {
             echo "<tr> "; 
             for ($k = 0; $k < 4; $k++)
             {
               $value = $data [$k];
               echo "<td> $value  </td>";
             }
             $code = $data['red'].','.$data['green'].','.$data['blue'];
             echo "<td style='width:80;background-color:rgb(".$code.")'></td> "; 
             echo "</tr> "; 
           }
       }
    ?>
    </table>

<?php
echo "O.K \n";
?>

<!--

dnf instal httpd mysql mysql-server php php-mysl phpMyAdmin

systemctl start httpd
systemctl start mariadb


file /etc/httpd/conf.d/userdir.conf :
   UserDir public_html

chown go+rx $HOME
mkdir $HOME/public_html
chown go+rx $HOME/public_html

systemctl restart httpd

-->
